Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2823843008: Remove unnecessary indirection of ResourceFetcher::preloads_ (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by yhirano
Modified:
2 months ago
Reviewers:
Nate Chapin
CC:
chromium-reviews, tyoshino+watch_chromium.org, loading-reviews_chromium.org, gavinp+loader_chromium.org, blink-reviews, loading-reviews+fetch_chromium.org, kinuko+watch, Nate Chapin
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove unnecessary indirection of ResourceFetcher::preloads_ ResourceFetcher::preloads_ is a member pointer, which requires null checks in several places. Making it a simple HeapListHashSet clarifies the code. This change increases ResourceFetcher size but I expect the impact is negligible because not so many ResourceFetcher instances are created. BUG=None R=japhet@chromium.org Review-Url: https://codereview.chromium.org/2823843008 Cr-Commit-Position: refs/heads/master@{#466585} Committed: https://chromium.googlesource.com/chromium/src/+/a71233486eb1f4beb0c6169d00a65b4914e6e62b

Patch Set 1 #

Patch Set 2 : fix #

Unified diffs Side-by-side diffs Delta from patch set Stats (+12 lines, -26 lines) Patch
M third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.h View 3 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp View 1 6 chunks +9 lines, -23 lines 0 comments Download
Trybot results:  win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   linux_android_rel_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe 
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 17 (12 generated)
yhirano
2 months, 1 week ago (2017-04-18 11:55:14 UTC) #6
yhirano
On 2017/04/18 11:55:14, yhirano wrote: ping
2 months, 1 week ago (2017-04-20 12:25:14 UTC) #11
Nate Chapin
lgtm
2 months ago (2017-04-21 18:13:46 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2823843008/20001
2 months ago (2017-04-24 01:56:17 UTC) #14
commit-bot: I haz the power
2 months ago (2017-04-24 03:37:23 UTC) #17
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/a71233486eb1f4beb0c6169d00a6...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318